VectorLinux
November 28, 2014, 09:50:06 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: vpackager and glib-2.18.3  (Read 1044 times)
scrambled_egg
Member
*
Posts: 10


« on: January 15, 2009, 03:14:39 am »

Hi All,

I'm having a problem building glib-2.18.3 using vpackager v1.0.11 on VL5.9-std-gold.  The last part of the build output is below.

config.status: creating po/Makefile.in
config.status: creating docs/Makefile
config.status: creating docs/reference/Makefile
config.status: creating docs/reference/glib/Makefile
config.status: creating docs/reference/glib/version.xml
config.status: creating docs/reference/gobject/Makefile
config.status: creating docs/reference/gobject/version.xml
config.status: creating docs/reference/gio/Makefile
config.status: creating docs/reference/gio/version.xml
config.status: creating tests/Makefile
config.status: creating tests/gobject/Makefile
config.status: creating tests/refcount/Makefile
config.status: creating m4macros/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing default-1 commands
config.status: executing libtool commands
config.status: executing glibconfig.h commands
config.status: glibconfig.h is unchanged
config.status: executing chmod-scripts commands
configure: WARNING: unrecognized options: --with-included-gettext

****  + Run make ****
make[1]: *** No rule to make target `all'.  Stop.
make: *** [all-recursive] Error 1
Making all in win32
make[1]: Entering directory `/tmp/vpackager-builds/glib-2.18.3/build/win32'
make[1]: Leaving directory `/tmp/vpackager-builds/glib-2.18.3/build/win32'
FAILED

**** An error occurred in the build process... Please check the build log ****


I don't think this is a dependency problem as I can manually run configure and make with no problem.  Removal of --with-included-gettext doesn't change anything as does using only --prefix=/usr which works using the manual method.  Not sure what where to find the "build log" either.  I have successfully built and installed packages for pango, cairo and pixman with this setup.  Also I have compiled and installed glib-2.18.3 on another 5.9 system.  All this is geared towards installing Gimp-2.6.4, which I did on the other system albeit after a lot of dependency updating using a completely manual method hence the experiment with vpackager.

Any suggestions as to why vpackager fails with this would be appreciated.

Thanks

P.S. This is the second time I've posted this, the first time about a day ago it didn't appear on the forum.
Logged

VL5.9-STD-GOLD: PIII 1.050GHz 384MB-RAM: 80GB,40GB,6GB HDD
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!